<style type="text/css">
	.image-tools {
		display: none;
		position: absolute;
		z-index: 10000;
	}
	.image-tools ul {
		list-style: none;
	}
	.image-tools ul li {
		display: inline-block;
	}
	#image-url {
		margin-bottom: 15px;
	}
</style>

<div class="fade modal" id="image-tools" role="dialog" style="">
  <div class="modal-dialog">
    <div class="modal-content" id="">
      <div class="modal-header">
        <button class="close" type="button" data-dismiss="modal">×</button>
      </div>
      <div class="modal-body">

      	<label for="url">Enter image URL:</label>
      	<input type="url" name="url" id="image-url" class="form-control" autocomplete="off">
      	<button type="button" id="change-image" class="btn btn-primary" data-dismiss="modal">Done</button>
    
      </div>
    </div>
  </div>
</div>

<div class='image-tools'>
	<ul>
		<li><button class='btn' data-target='#image-tools' data-toggle='modal'>Change background</button></li>
	</ul>
</div>

<!-- LOAD INSIDE BUILDER ONLY -->
<script type="text/javascript">

var selected;

(function($) {
    
	if (inIframe()) {

		jQuery('#background').click(function(){
            imageUtils(this);
        });
        jQuery('#background-header').click(function(){
            imageUtils(this);
        });
        
        jQuery('#description').click(function(){
            imageUtils(this);
        });

        jQuery('#goals').click(function(){
            imageUtils(this);
        });

        jQuery('#goals2').click(function(){
            imageUtils(this);
        });

        jQuery('#quote').click(function(){
            imageUtils(this);
         });

        jQuery('.block-header').click(function(){
            imageUtils(this);
         });

/*        jQuery('#date_prisa').click(function(){
            
            $( ".date-prisa" ).before( imageUtils(this) );
            
        });*/

         jQuery('#block-ventajas').click(function(){
            imageUtils(this);
         }); 
         
		jQuery('#image-tools #change-image').click(function(){
            changeBackground();
		});

	} else {
		// HIDE IMAGE TOOLS
		jQuery('.image-tools').css('display','none');
    }
    
	// CHECK IF LOADING FROM IFRAME
	function inIframe () {
        try {
        return window.self !== window.top;
        } catch (e) {
        return true;
        }
    }

    //if clicked element is a wrapper, show the button
    function imageUtils(element){
        var wrapperAttr = jQuery(element).attr('data-section-wrapper');
        if (wrapperAttr) {
            showButton(element);
        }
    }
    
    //Add the change background button on top of the wrapper
    function showButton(element){
        selected = jQuery(element)[0];
        var position = jQuery(selected).offset();
        var left = position.left;
        var top = position.top;
        jQuery('.image-tools').offset({top:top});
        jQuery('.image-tools').show();
    }
    
    //add inline style to the wrapper in order to change the background image.
    function changeBackground(){
        var url = jQuery('#image-tools #image-url').val();
        var completeUrl = "url("+url+");";
        jQuery(selected).attr("style", "background-image: "+completeUrl);
        jQuery('.image-tools').hide('fast');
    }
    
})(jQuery);



</script>   